"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tvSeasonColumns = exports.TvSeasonFilters = void 0;
const tvSeasonColumns = ['description', 'id', 'isSpecialSeason', 'numberOfEpisodes', 'poster', 'releaseDate', 'seasonNumber', 'title', 'tmdbId', 'tvShowId', 'tvdbId', 'traktId'];
exports.tvSeasonColumns = tvSeasonColumns;

class TvSeasonFilters {
  static nonSpecialSeason = season => {
    return !season.isSpecialSeason;
  };
  static seasonNumber = season => {
    return season.seasonNumber;
  };
}

exports.TvSeasonFilters = TvSeasonFilters;
//# sourceMappingURL=tvseason.js.map