"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.imageRepository = void 0;

var _image = require("../entity/image");

var _repository = require("./repository");

class ImageRepository extends (0, _repository.repository)({
  tableName: 'image',
  primaryColumnName: 'id'
}) {
  create(value) {
    return super.create({ ...value,
      id: (0, _image.getImageId)()
    });
  }

}

const imageRepository = new ImageRepository();
exports.imageRepository = imageRepository;
//# sourceMappingURL=image.js.map