"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.messages = void 0;

/*eslint-disable*/
const messages = {
  "Already up to date": "Already up to date",
  "Batch {name} run: {count, plural, one {# migration} other {# migrations}}": ["Batch ", ["name"], " run: ", ["count", "plural", {
    one: ["#", " migration"],
    other: ["#", " migrations"]
  }]],
  "Changing server language to {lng}": ["Changing server language to ", ["lng"]],
  "DEMO mode enabled": "DEMO mode enabled",
  "Error sending notifications: {error}": ["Error sending notifications: ", ["error"]],
  "Everything up to date": "Everything up to date",
  "Failed to delete unused assets files": "Failed to delete unused assets files",
  "MediaTracker listening at {address}": ["MediaTracker listening at ", ["address"]],
  "MediaTracker {0} listening at {address}": ["MediaTracker ", ["0"], " listening at ", ["address"]],
  "New season of {0} will be released at {1}": ["New season of ", ["0"], " will be released at ", ["1"]],
  "Password cannot be empty": "Password cannot be empty",
  "Passwords do not match": "Passwords do not match",
  "Platform {0} does not exist": ["Platform ", ["0"], " does not exist"],
  "Platform {platformName} does not exist": ["Platform ", ["platformName"], " does not exist"],
  "Received signal {signal}": ["Received signal ", ["signal"]],
  "Release date changed for {0}: \"{1}\"": ["Release date changed for ", ["0"], ": \"", ["1"], "\""],
  "Running migrations": "Running migrations",
  "Season {0} of {1} has been canceled": ["Season ", ["0"], " of ", ["1"], " has been canceled"],
  "Season {0} of {1} will be released at {2}": ["Season ", ["0"], " of ", ["1"], " will be released at ", ["2"]],
  "Server closed": "Server closed",
  "Status changed for {0}: \"{1}\"": ["Status changed for ", ["0"], ": \"", ["1"], "\""],
  "TMDB language changed to: \"{value}\", updating metadata for all items": ["TMDB language changed to: \"", ["value"], "\", updating metadata for all items"],
  "Test message": "Test message",
  "Updating metadata": "Updating metadata",
  "Updating: {title}": ["Updating: ", ["title"]],
  "Updating: {title} (last updated at: {date}": ["Updating: ", ["title"], " (last updated at: ", ["date"]],
  "Updating: {title} (last updated at: {date})": ["Updating: ", ["title"], " (last updated at: ", ["date"], ")"],
  "User already exists": "User already exists",
  "Username cannot be empty": "Username cannot be empty",
  "{0, plural, one {Updating metadata for # item} other {Updating metadata for # items}}": [["0", "plural", {
    one: ["Updating metadata for ", "#", " item"],
    other: ["Updating metadata for ", "#", " items"]
  }]],
  "{0} got a new season": [["0"], " got a new season"],
  "{count, plural, one {# episode for **{title}** has been released} other {# episodes for **{title}** has been released}}": [["count", "plural", {
    one: ["#", " episode for **", ["title"], "** has been released"],
    other: ["#", " episodes for **", ["title"], "** has been released"]
  }]],
  "{count, plural, one {# episode of **{title}** has been released} other {# episodes of **{title}** has been released}}": [["count", "plural", {
    one: ["#", " episode of **", ["title"], "** has been released"],
    other: ["#", " episodes of **", ["title"], "** has been released"]
  }]],
  "{count, plural, one {Failed to update 1 item} other {Failed to update # items}}": [["count", "plural", {
    one: "Failed to update 1 item",
    other: ["Failed to update ", "#", " items"]
  }]],
  "{count, plural, one {Sending notification for new episodes of {title} to # user} other {Sending notification for new episodes of {title} to # users}}": [["count", "plural", {
    one: ["Sending notification for new episodes of ", ["title"], " to ", "#", " user"],
    other: ["Sending notification for new episodes of ", ["title"], " to ", "#", " users"]
  }]],
  "{count, plural, one {Sending notification for {title} to # user} other {Sending notification for {title} to # users}}": [["count", "plural", {
    one: ["Sending notification for ", ["title"], " to ", "#", " user"],
    other: ["Sending notification for ", ["title"], " to ", "#", " users"]
  }]],
  "{count, plural, one {Updated 1 item} other {Updated # items}}": [["count", "plural", {
    one: "Updated 1 item",
    other: ["Updated ", "#", " items"]
  }]],
  "{title} has been released": [["title"], " has been released"]
};
exports.messages = messages;
//# sourceMappingURL=translation.js.map