"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.messages = void 0;

/*eslint-disable*/
const messages = {
  "Already up to date": "Ya está actualizado",
  "Batch {name} run: {count, plural, one {# migration} other {# migrations}}": ["Lote ", ["name"], " ejecutado: ", ["count", "plural", {
    one: ["#", " migración"],
    other: ["#", " migraciones"]
  }]],
  "Changing server language to {lng}": ["Cambiando el idioma del servidor a ", ["lng"]],
  "DEMO mode enabled": "Modo DEMO activado",
  "Error sending notifications: {error}": ["Error al enviar notificaciones: ", ["error"]],
  "Everything up to date": "Todo está actualizado",
  "Failed to delete unused assets files": "Error al eliminar los archivos de recursos no utilizados",
  "MediaTracker listening at {address}": ["MediaTracker escuchando en ", ["address"]],
  "MediaTracker {0} listening at {address}": ["MediaTracker ", ["0"], " escuchando en ", ["address"]],
  "New season of {0} will be released at {1}": ["La nueva temporada de ", ["0"], " se estrenará el ", ["1"]],
  "Password cannot be empty": "La contraseña no puede estar vacía",
  "Passwords do not match": "Las contraseñas no coinciden",
  "Platform {0} does not exist": ["La plataforma ", ["0"], " no existe"],
  "Platform {platformName} does not exist": ["La plataforma ", ["platformName"], " no existe"],
  "Received signal {signal}": ["Señal recibida ", ["signal"]],
  "Release date changed for {0}: \"{1}\"": ["Fecha de estreno cambiada para ", ["0"], ": \"", ["1"], "\""],
  "Running migrations": "Ejecutando migraciones",
  "Season {0} of {1} has been canceled": ["La temporada ", ["0"], " de ", ["1"], " ha sido cancelada"],
  "Season {0} of {1} will be released at {2}": ["La temporada ", ["0"], " de ", ["1"], " se estrenará el ", ["2"]],
  "Server closed": "Servidor cerrado",
  "Status changed for {0}: \"{1}\"": ["Estado cambiado para ", ["0"], ": \"", ["1"], "\""],
  "TMDB language changed to: \"{value}\", updating metadata for all items": ["Idioma de TMDB cambiado a: \"", ["value"], "\", actualizando los metadatos de todos los elementos"],
  "Test message": "Mensaje de prueba",
  "Updating metadata": "Actualizando metadatos",
  "Updating: {title}": ["Actualizando: ", ["title"]],
  "Updating: {title} (last updated at: {date}": ["Actualizando: ", ["title"], " (última actualización: ", ["date"]],
  "Updating: {title} (last updated at: {date})": ["Actualizando: ", ["title"], " (última actualización: ", ["date"], ")"],
  "User already exists": "El usuario ya existe",
  "Username cannot be empty": "El nombre de usuario no puede estar vacío",
  "{0, plural, one {Updating metadata for # item} other {Updating metadata for # items}}": [["0", "plural", {
    one: ["Actualizando metadatos para ", "#", " elemento"],
    other: ["Actualizando metadatos para ", "#", " elementos"]
  }]],
  "{0} got a new season": [["0"], " tiene una nueva temporada"],
  "{count, plural, one {# episode for **{title}** has been released} other {# episodes for **{title}** has been released}}": [["count", "plural", {
    one: ["Se ha estrenado ", "#", " episodio de **", ["title"], "**"],
    other: ["Se han estrenado ", "#", " episodios de **", ["title"], "**"]
  }]],
  "{count, plural, one {# episode of **{title}** has been released} other {# episodes of **{title}** has been released}}": [["count", "plural", {
    one: ["Se ha estrenado ", "#", " episodio de **", ["title"], "**"],
    other: ["Se han estrenado ", "#", " episodios de **", ["title"], "**"]
  }]],
  "{count, plural, one {Failed to update 1 item} other {Failed to update # items}}": [["count", "plural", {
    one: "Error al actualizar 1 elemento",
    other: ["Error al actualizar ", "#", " elementos"]
  }]],
  "{count, plural, one {Sending notification for new episodes of {title} to # user} other {Sending notification for new episodes of {title} to # users}}": [["count", "plural", {
    one: ["Enviando notificaciones de nuevos episodios de ", ["title"], " a ", "#", " usuario"],
    other: ["Enviando notificaciones de nuevos episodios de ", ["title"], " a ", "#", " usuarios"]
  }]],
  "{count, plural, one {Sending notification for {title} to # user} other {Sending notification for {title} to # users}}": [["count", "plural", {
    one: ["Enviando notificación de ", ["title"], " a ", "#", " usuario"],
    other: ["Enviando notificación de ", ["title"], " a ", "#", " usuarios"]
  }]],
  "{count, plural, one {Updated 1 item} other {Updated # items}}": [["count", "plural", {
    one: "1 elemento actualizado",
    other: ["#", " elementos actualizados"]
  }]],
  "{title} has been released": [["title"], " ha sido estrenado"]
};
exports.messages = messages;
//# sourceMappingURL=translation.js.map